Skip to main content
PUT
Update recommendation view

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowClient Credentials
Token URL
https://console.vantage.sh/account/profile
Scopes1
write
Grants write access

Path Parameters

recommendation_view_token
string
required

Body

application/json

Update a RecommendationView.

title
string

The title of the RecommendationView.

provider_ids
string[]

Filter by one or more providers (e.g. aws, gcp, azure, kubernetes, datadog).

billing_account_ids
string[]

Filter by billing account identifiers.

account_ids
string[]

Filter by cloud account identifiers.

regions
string[]

Filter by region slugs (e.g. us-east-1, eastus, asia-east1).

types
string[]

Filter by one or more recommendation type slugs.

tag_key
string

Filter by tag key (must be used with tag_value).

tag_value
string

Filter by tag value (requires tag_key).

start_date
string

Filter recommendations created on/after this YYYY-MM-DD date.

end_date
string

Filter recommendations created on/before this YYYY-MM-DD date.

min_savings
number<float>

Filter recommendations with at least this amount of potential savings.

Response

RecommendationView model

token
string | null
title
string | null

The title of the RecommendationView.

Example:

"Production Recommendations"

workspace_token
string | null

The token for the Workspace the RecommendationView is a part of.

start_date
string | null

Filter recommendations created on/after this YYYY-MM-DD date.

Example:

"2024-01-01"

end_date
string | null

Filter recommendations created on/before this YYYY-MM-DD date.

Example:

"2024-12-31"

provider_ids
string[] | null

Filter by one or more providers.

billing_account_ids
string[] | null

Filter by billing account identifiers.

account_ids
string[] | null

Filter by cloud account identifiers.

regions
string[] | null

Filter by region slugs (e.g. us-east-1, eastus, asia-east1).

types
string[] | null

Filter by one or more recommendation type slugs.

tag_key
string | null

Filter by tag key (must be used with tag_value).

Example:

"environment"

tag_value
string | null

Filter by tag value (requires tag_key).

Example:

"production"

min_savings
number<float> | null

Filter recommendations with at least this amount of potential savings.

Example:

100.5

created_at
string | null

The date and time, in UTC, the view was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

created_by
string | null

The token for the Creator of this RecommendationView.